#   ---------------------------------------------------------------------- copyright and license ---
#
#   file: rpm/locale-en_RU.spec.in
#
#   Copyright © 2013—2014, 2016, 2017 Van de Bugger.
#
#   This file is a part of Locale en_RU.
#
#   Locale en_RU is free software: you can redistribute it and/or modify it under the terms of the
#   GNU General Public License as published by the Free Software Foundation, either version 3 of
#   the License, or (at your option) any later version.
#
#   Locale en_RU is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
#   without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
#   the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along with Locale en_RU. If
#   not, see <http://www.gnu.org/licenses/>.
#
#   ---------------------------------------------------------------------- copyright and license ---

%define _localedef   %{_bindir}/localedef
%define _make        %{_bindir}/make
%define _perl        %{_bindir}/perl
%define _i18ndir     %{_datadir}/i18n
%define _charmapsdir %{_i18ndir}/charmaps
%define _localesdir  %{_i18ndir}/locales

Name:          locale-en_RU
Version:       0.5.2
Release:       1
Summary:       English language for Russia
Group:         System Environment/Base
License:       GPLv3+
URL:           http://en-ru.sourceforge.net/
Source0:       https://sourceforge.net/projects/en-ru/files/0.5.2/%{name}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: make
BuildRequires: %{_make}
BuildRequires: perl
BuildRequires: %{_perl}
BuildRequires: perl(utf8)
BuildRequires: perl(open)
BuildRequires: glibc-common
BuildRequires: %{_localedef}
    # localedef is from glibc-common package.
BuildRequires: %{_charmapsdir}/UTF-8.gz
    # F24 moves charmaps from glibc-common to glibc-locale-source. Let us require specific file
    # instead of package so the requirement can be fulfilled by any version of Fedora.

Requires:      glibc-common
Requires:      %{_localedef}
    # localedef is from glibc-common package.
Requires:      %{_charmapsdir}/UTF-8.gz
    # F24 moves charmaps from glibc-common to glibc-locale-source. Let us require specific file
    # instead of package so the requirement can be fulfilled by any version of Fedora.

Conflicts:     glibc-locale-en_RU = 0.001

%description
This is a glibc locale, namely, English language locale for Russia.
It consistently sticks to English language, but makes other parameters
more suitable for Russians, e. g.:

    *   Ridiculous 12-hour clock is replaced with 24-hour clock.
    *   Long date format is changed from confusing mm/dd/yyyy to
        unambiguous ISO yyyy-mm-dd.
    *   Weeks start on Monday, not Sunday.
    *   Thousand separator set to narrow non-breaking space. Decimal
        mark is dot, not comma -- it is an English variant of SI style.
    *   Imperial units replaced with metric units.
    *   Default paper sheet size is A4.
    *   Territory is changed to Russia: country name, country phone code,
        currency name, etc.

%prep
%setup -q

%build
mkdir _build
cd _build
PERL=%{_perl} \
LOCALEDEF=%{_localedef} \
../configure --disable-rpm --disable-html --srcdir=.. --prefix=%{_prefix} --libdir=%{_libdir}
%{_make}

%install
cd _build
%{_make} DESTDIR=%{buildroot} install

%check
cd _build
VERBOSE=1 %{_make} check

%post
%{_localedef} --quiet -c -i %{_localesdir}/en_RU -f UTF-8 en_RU.utf8
    # There is a problem here: We cannot specify absolute path of charmap file.
    # localedef issues a lot of warnings on ${_charmapsdir}/UTF-8.gz,
    # and cannot find ${_charmapsdir}/UTF-8, so we have to use plain UTF-8.

%preun
# Remove locale only if we are deleting the last package.
if test "$1" -eq 0; then
    %{_localedef} --quiet --delete-from-archive en_RU.utf8
fi

%triggerin -- glibc-common
%{_localedef} --quiet -c -i %{_localesdir}/en_RU -f UTF-8 en_RU.utf8

%files
%defattr( -, root, root, - )
%{_localesdir}/en_RU
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*

%changelog

* Mon Apr 10 2017 Van de Bugger - 0.5.2-1
- Updated to v0.5.2.
- Source0 tag specified properly.

* Wed Aug 03 2016 Van de Bugger - 0.5.1-3
- BuildRequires tag was accidentally used instead of Requires tag. Fixed.

* Mon Jun 27 2016 Van de Bugger - 0.5.1-2
- F24 moves charmaps from glibc-common to glibc-locale-source. Fix to work in F24.
- _bindir macro used few times.

* Fri Feb 19 2016 Van de Bugger - 0.5.1-1
- Build requires make and /usr/bin/make.
- Build requires perl modules: perl(open), perl(utf8), not perl-open package.
- Build requires glibc-common and /usr/bin/localedef.
- Since we explicitly require /usr/bin/perl and /usr/bin/localedef, they are passed to configure.

* Sun Feb 14 2016 Van de Bugger - 0.5-1
- Locale updated to v0.5.
- perl-open was a missed build requirement, added now.
- Test result is not ignored now.

* Wed Nov 12 2014 Van de Bugger - 0.4.3-1
- HTML documentation bug fixing and improvements.
- Many changes in build and test infrastructure, not visible to end users.

* Tue Nov 4 2014 Van de Bugger - 0.4-1
- Locale updated to v0.4.
- Documentation is installed to unversioned directory, like other Fedora 20 packages.

* Sun Oct 27 2013 Van de Bugger - 0.3-1
- Locale updated to v0.3.
- Fixed bug in spec file which prevents upgrade.
- This package conflicts with glibc-locale-en_RU-0.001 to avoid the bug described above.
- Documentation added.

* Sat Oct 5 2013 Van de Bugger - 0.2-1
- Project renamed from "glibc-locale-en_RU" to "locale-en_RU".

* Thu Mar 14 2013 Van de Bugger - 0.1-1
- Initial release.

# end of file #
